var altura;
$(function () {



    $('.cpf').mask('000.000.000-00', { reverse: true });
    $('.fone').mask('(00)00000-0000');
    $('.date').mask('00/00/0000');
    $('.datehora').mask('00/00/0000 00:00:00');
    $('.money').mask("#.##0,00", { reverse: true });
    $('.cep').mask('00000-000');
    $('.cnpj').mask('00.000.000/0000-00', { reverse: false });

    // loaders('Carregando...');


});

function alerta(titulo, texto, tipo, tempo, progresso) {

    if (tempo == '') {

        tempo = 0;

    }
    Swal.fire({
        title: titulo,
        text: texto,
        icon: tipo,
        timerProgressBar: progresso,
        color: '#fff',
        background: '#2F3444',
        timer: tempo,
        // position:'center',           
        // confirmButtonColor: '#bd1d32',        
        confirmButtonText: 'OK'
    });

    // swal.fire(titulo,texto,tipo);



}


const cor = '#1DB7E5';
function loaders(texto) {



    Notiflix.Loading.pulse(texto, {

        svgSize: '60px',
        svgColor: cor,
        backgroundColor: 'rgba(0,0,0,0.95)',

    });

}

function pergunta(titulo, texto) {

    if (titulo == '') {
        titulo = 'ATENÇÃO';
    }
    if (texto == '') {
        texto = 'Deseja realmente excluir este registro ?';
    }
    if (texto == null) {
        texto = 'Deseja realmente excluir este registro ?';
    }


    Notiflix.Confirm.prompt(
        titulo,
        texto,
        '',
        'SIM',
        'NÃO',
        function okCb(clientAnswer) {
            mensagens('Registro: ' + clientAnswer + ' excluído com sucesso !', 'sucesso');
        },
        function cancelCb(clientAnswer) {
            // alert('Client answer was: ' + clientAnswer);
        },

    );

}

function mensagem(texto, tipo) {

    if (texto == '' || texto == null) {
        texto = 'Atualização realizada !';
    }


    if (tipo == 'sucesso') {

        Notiflix.Notify.success(
            texto, {
            timeout: 3000,
        },
        );

    } else if (tipo == 'info') {

        Notiflix.Notify.info(
            texto, {
            timeout: 3000,
        },
        );

    } else if (tipo == 'atencao') {

        Notiflix.Notify.warning(
            texto, {
            timeout: 3000,
        },
        );

    } else if (tipo == 'erro') {

        Notiflix.Notify.failure(
            texto, {
            timeout: 3000,
        },
        );

    }


}

function confirma(titulo, mensagem, tipo) {

    Notiflix.Confirm.prompt(
        titulo,
        mensagem,
        '',
        'OK',
        'Cancelar',

        function okCb(clientAnswer) {
            if (tipo == 'busca') {
                buscar(clientAnswer);
            } else if (tipo == 'excluir') {
                excluir(clientAnswer);
            }
            else if (tipo == 'qtdeprod') {
                alert(clientAnswer);
            }
        },
        function cancelCb(clientAnswer) {
            // alert(clientAnswer);
        }, {},
    );



}

function dots(texto) {



    // Notiflix.Loading.dots('Loading...');

    Notiflix.Loading.dots(texto, {
        backgroundColor: 'rgba(0,0,0,0.8)',
        svgColor: cor,
    });



}

function pulse(texto) {



    // Notiflix.Loading.dots('Loading...');

    Notiflix.Loading.pulse(texto, {
        backgroundColor: 'rgba(0,0,0,0.95)',
        svgColor: cor,
    });



}


function relembra() {

    Notiflix.Confirm.prompt(
        'RECUPERAR SENHA',
        'Digite seu e-mail para recuperação de senha',
        '',
        'Enviar',
        'Cancelar',
        function okCb(clientAnswer) {
            if (clientAnswer == '') {
                mensagem('Digite seu e-mail para recuperação de senha', 'atencao');
                return false;
            }
            if (clientAnswer.indexOf('@') == -1) {
                mensagem('E-mail inválido', 'atencao');
                return false;
            }
            mensagem('E-mail enviado com sucesso !', 'sucesso');
        },
        function cancelCb(clientAnswer) {

        }, {
        width: '320px',
        borderRadius: '8px',
        // etc...
    },
    );



}



function abas(valor) {

    if (valor == 'home') {
        $(location).attr('href', 'index.php');
    }
    if (valor == 'clientes') {
        $(location).attr('href', 'clientes.php');
    }
    if (valor == 'servicos') {
        $(location).attr('href', 'servicos.php');
    }
    if (valor == 'produtos') {
        $(location).attr('href', 'produtos.php');
    }

}


function buscacep(valor, tipo) {

    if (valor.length == 9) {

        var cep = valor.replace(/\D/g, '');


        if (cep != "") {

            //Expressão regular para validar o CEP.
            var validacep = /^[0-9]{8}$/;

            //Valida o formato do CEP.
            if (validacep.test(cep)) {


                $.getJSON("https://viacep.com.br/ws/" + cep + "/json/", function (dados) {

                    if (!("erro" in dados)) {

                        if (tipo == 1) {
                            $("#ENDERECO").val(dados.logradouro);
                            $("#BAIRRO").val(dados.bairro);
                            $("#CIDADE").val(dados.localidade);
                            $("#UF").val(dados.uf);
                            $("#NUM").focus();
                        } else if (tipo == 2) {
                            $("#ENDERECO2").val(dados.logradouro);
                            $("#BAIRRO2").val(dados.bairro);
                            $("#CIDADE2").val(dados.localidade);
                            $("#UF2").val(dados.uf);
                            $("#NUM2").focus();
                        }



                    }
                    else {

                        mensagem('CEP não encontrado !', 'erro');


                    }
                });
            }
            else {

                mensagem("Formato de CEP inválido.", "erro");
            }
        } //end if.
        else {
            mensagem("CEP inválido !", "atencao");
        }

    }


}

function buscamensagens() {
    $.ajax({
        type: "POST",
        url: "rest/buscamsg.php",
        data: { acao: 'busca' },
        dataType: "html",
        success: function (data) {
            if (data.status != '') {


                $('#mensagens').html(data.mensagens);

                mostramensagens();

            } else {
                $('#mensagens').html('');
            }

        },
        error: function (data) {
            console.log('Erro ao buscar mensagens');
        }
    });
}

function mostramensagens() {

    var msgs = $('#mensagens li').length - 1;
    var painel = $('#mensagens');

    var qtde = $('#tmsg');
    qtde.html(msgs);
    if (msgs > 0) {
        qtde.removeClass('d-none');
        painel.removeClass('d-none');
        //painel.addClass('d-flex');
    } else {
        qtde.addClass('d-none');
        // painel.removeClass('d-flex');
        painel.addClass('d-none');
    }
}